Package org.springframework.security.authentication.jaas.memory

# Class InMemoryConfiguration

java.lang.Object
javax.security.auth.login.Configuration
org.springframework.security.authentication.jaas.memory.InMemoryConfiguration

public class InMemoryConfiguration extends Configuration

An in memory representation of a JAAS configuration. The constructor accepts a Map where the key represents the name of the login context name and the value is an Array of `AppConfigurationEntry` for that login context name. A default Array of `AppConfigurationEntry`s can be specified which will be returned if a login context is specified which is undefined.

## Nested Class Summary

## Nested classes/interfaces inherited from class javax.security.auth.login.Configuration

`Configuration.Parameters`

## Constructor Summary

Constructors
Constructor
Description
`InMemoryConfiguration(Map<String,AppConfigurationEntry[]> mappedConfigurations)`
Creates a new instance with a mapping of login context name to an array of `AppConfigurationEntry`s.
`InMemoryConfiguration(Map<String,AppConfigurationEntry[]> mappedConfigurations, AppConfigurationEntry[] defaultConfiguration)`
Creates a new instance with a mapping of login context name to an array of `AppConfigurationEntry`s along with a default configuration that will be used if no mapping is found for the given login context name.
`InMemoryConfiguration(AppConfigurationEntry[] defaultConfiguration)`
Creates a new instance with only a defaultConfiguration.

## Method Summary

Modifier and Type
Method
Description
`AppConfigurationEntry[]`
`getAppConfigurationEntry(String name)`
`void`
`refresh()`
Does nothing, but required for JDK5

### Methods inherited from class javax.security.auth.login.Configuration

`getConfiguration, getInstance, getInstance, getInstance, getParameters, getProvider, getType, setConfiguration`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InMemoryConfiguration

public InMemoryConfiguration(AppConfigurationEntry[] defaultConfiguration)
Creates a new instance with only a defaultConfiguration. Any configuration name will result in defaultConfiguration being returned.

Parameters:
  `defaultConfiguration` - The result for any calls to `getAppConfigurationEntry(String)`. Can be `null`.

### InMemoryConfiguration

public InMemoryConfiguration(Map<String,AppConfigurationEntry[]> mappedConfigurations)
Creates a new instance with a mapping of login context name to an array of `AppConfigurationEntry`s.

Parameters:
  `mappedConfigurations` - each key represents a login context name and each value is an Array of `AppConfigurationEntry`s that should be used.

### InMemoryConfiguration

public InMemoryConfiguration(Map<String,AppConfigurationEntry[]> mappedConfigurations, AppConfigurationEntry[] defaultConfiguration)
Creates a new instance with a mapping of login context name to an array of `AppConfigurationEntry`s along with a default configuration that will be used if no mapping is found for the given login context name.

Parameters:
  `mappedConfigurations` - each key represents a login context name and each value is an Array of `AppConfigurationEntry`s that should be used.
  `defaultConfiguration` - The result for any calls to `getAppConfigurationEntry(String)`. Can be `null`.

## Method Details

### getAppConfigurationEntry

public AppConfigurationEntry[] getAppConfigurationEntry(String name)

Specified by:
  `getAppConfigurationEntry` in class `Configuration`

### refresh

public void refresh()
Does nothing, but required for JDK5

Overrides:
  `refresh` in class `Configuration`